org.apache.felix.ipojo.manipulator

## Class ManipulationUnit

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.ManipulationUnit

    public class ManipulationUnit
    extends Object

Component Info. Represent a component type to be manipulated or already manipulated.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ManipulationUnit(String resourcePath, org.apache.felix.ipojo.metadata.Element meta)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()`
`org.apache.felix.ipojo.metadata.Element` `getComponentMetadata()`
`String` `getResourcePath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulationUnit

    public ManipulationUnit(String resourcePath,
                            org.apache.felix.ipojo.metadata.Element meta)

Constructor.

Parameters:
  `resourcePath` - class name
  `meta` - component type metadata

### Method Detail

#### getComponentMetadata

    public org.apache.felix.ipojo.metadata.Element getComponentMetadata()

Returns:
  Component Type metadata.

#### getResourcePath

    public String getResourcePath()

Returns:
  Resource path

#### getClassName

    public String getClassName()

Returns:
  Fully qualified class name